<section class="l-body">
  <header class="page-header">
    <h1 class="mat-headline-4">Create a New Project</h1>
  </header>
  <mat-card>
    <mat-card-content>
      <form [formGroup]="form" (ngSubmit)="onSubmit()">
        <div class="form-center">
          <mat-error *ngIf="error">{{ error }}</mat-error>
          <gt-platform-picker
            formControlName="platform"
            template="buttons"
          ></gt-platform-picker>
          <mat-form-field class="project-name" appearance="outline">
            <mat-label>Name</mat-label>
            <input matInput formControlName="name" />
            <mat-error>
              <span *ngIf="name?.errors?.required">Enter a project name</span>
            </mat-error>
          </mat-form-field>
          <div class="teams">
            <mat-form-field
              *ngIf="teams$ | async as teams"
              appearance="outline"
            >
              <mat-select
                (click)="teams.length ? undefined : openCreateTeamDialog()"
                [placeholder]="teams.length ? 'Assign a team' : 'Create a team'"
                formControlName="team"
              >
                <mat-option *ngFor="let team of teams" [value]="team.slug">
                  {{ team.slug }}
                </mat-option>
              </mat-select>
              <mat-error
                ><span *ngIf="name?.errors?.required"
                  >Add a team to this project</span
                ></mat-error
              >
              <mat-hint>
                Teams are for managing issue notifications and workflow.
              </mat-hint>
            </mat-form-field>

            <button
              mat-icon-button
              class="icon-button-shift"
              color="primary"
              aria-label="Add a team"
              (click)="openCreateTeamDialog()"
              id="create-team-from-projects"
              matTooltip="Create a new team for this project"
              matTooltipPosition="above"
              type="button"
            >
              <mat-icon>add_circle_outline</mat-icon>
            </button>
          </div>
        </div>
        <gt-loading-button
          id="create-project-submit"
          [loading]="loading"
          buttonText="Create Project"
        >
        </gt-loading-button>
      </form> </mat-card-content
  ></mat-card>
</section>
